/*******************************************************************************

* Copyright (c) 2006 IONA Technologies PLC

* All rights reserved. This program and the accompanying materials

* are made available under the terms of the Eclipse Public License v1.0

* which accompanies this distribution, and is available at

* http://www.eclipse.org/legal/epl-v10.html

* 

* Contributors:

*     IONA Technologies PLC - initial API and implementation

*******************************************************************************/

package org.eclipse.stp.sc.xmlvalidator.classbuilder;

public abstract class JElement {

	protected static String LINE_END = System.getProperty("os.name").contains("Windows")?
			"\n\r":"\r";
	
	String name;

	public JElement() {
		
	}
	
	public JElement(String value) {
		name = value;
	}

	public String getName() {
		return name;
	}


	public void setName(String value) {
		name = value;
	}
    
}
